de.esprit.appsuite.appstore

## Class AppStarterContext

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.LogSupportAdapter
    - - de.esprit.appsuite.launch.ApplicationContext
      - - de.esprit.appsuite.appstore.AppStarterContext

- All Implemented Interfaces:
    ErrorHandler, Initializable, Exitable, LogSupport, Dumpable, java.io.Closeable, java.lang.AutoCloseable

      public class AppStarterContext
      extends ApplicationContext

  This context is used by the `EspritAppStarter`.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationContext

      `isExitOnClose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppStarterContext(AppStarterConfig config)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppCacheManager` | `getAppCacheManager()`
    `AppStarterConfig` | `getApplicationConfig()`
    `void` | `init()` Performs the initialization of this class.

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationContext

      `cancelTask, checkInitialized, close, confirmCancelAllAsyncActivity, createErrorHandler, createLicense, createTaskManager, createUncaughtExceptionHandler, exit, getApplicationName, getCustomVersion, getDatabase, getErrorHandler, getEspritVersion, getJavaVersionManager, getLicense, getMainFrame, getSupportedLanguages, getTaskManager, getTextEditor, hasMainFrame, isClosed, isDefaultContext, isGuiClient, isInitialized, loadTranslations, registerForClose, setDatabase, setExitOnClose, setMainFrame, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.log.LogSupportAdapter

      `getLogChannel, getLogLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, setLogLevel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AppStarterContext

          public AppStarterContext(AppStarterConfig config)

  - ### Method Detail

    - #### getApplicationConfig

          public AppStarterConfig getApplicationConfig()

      Overrides:
        `getApplicationConfig` in class `ApplicationContext`

    - #### getAppCacheManager

          public AppCacheManager getAppCacheManager()

    - #### init

          public void init()
                    throws java.lang.Exception

      Description copied from interface: `Initializable`
      Performs the initialization of this class. Note that the implementation should maintain an isInitialized flag which must be set when initialization has completed.
      Specified by:
        `init` in interface `Initializable`
      Overrides:
        `init` in class `ApplicationContext`
      Throws:
        `java.lang.Exception`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.